Index: c/src/lib/libcpu/powerpc/mpc505/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc505/timer/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/mpc505/timer/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,10 +5,9 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/timer.rel
+PGM = $(ARCH)/timer.rel
 
-## C sources
 C_FILES = timer.c
 
-timer_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+timer_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -24,7 +23,9 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PGM)
+all-local: $(ARCH) $(timer_rel_OBJECTS) $(PGM)
 
-EXTRA_DIST = $(C_FILES)
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = timer.c
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc6xx/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/clock/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/mpc6xx/clock/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,11 +5,9 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-## C sources
 C_FILES = c_clock.c
 
 H_FILES = c_clock.h
-noinst_HEADERS = $(H_FILES)
 
-c_clock_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+c_clock_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -21,7 +19,4 @@
 	$(INSTALL_DATA) $< $@
 
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/libcpu \
-$(PROJECT_INCLUDE)/libcpu/c_clock.h
-
 #
 # (OPTIONAL) Add local stuff here using +=
@@ -30,7 +25,10 @@
 AM_CFLAGS = $(CFLAGS_OS_V)
 
-all-local: ${ARCH} $(PREINSTALL_FILES) $(c_clock_rel_OBJECTS)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/libcpu \
+    $(PROJECT_INCLUDE)/libcpu/c_clock.h
 
-EXTRA_DIST = $(C_FILES)
+all-local: $(ARCH) $(PREINSTALL_FILES) $(c_clock_rel_OBJECTS)
+
+EXTRA_DIST = c_clock.c c_clock.h
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc6xx/exceptions/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/exceptions/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/mpc6xx/exceptions/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,16 +5,14 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/exceptions.rel
+PGM = $(ARCH)/exceptions.rel
 
-## C sources
 C_FILES = raw_exception.c
 
-## Assembly sources
 S_FILES = asm_utils.S
 
 H_FILES = raw_exception.h
-noinst_HEADERS = $(H_FILES)
 
-exceptions_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o) $(S_FILES:%.S=${ARCH}/%.o)
+exceptions_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o) \
+    $(S_FILES:%.S=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -25,7 +23,4 @@
 $(PROJECT_INCLUDE)/libcpu/%.h: %.h
 	$(INSTALL_DATA) $< $@
-
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/libcpu \
-$(PROJECT_INCLUDE)/libcpu/raw_exception.h
 
 #
@@ -38,7 +33,12 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PREINSTALL_FILES) $(PGM)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/libcpu \
+    $(PROJECT_INCLUDE)/libcpu/raw_exception.h
 
-EXTRA_DIST = $(C_FILES) $(S_FILES)
+all-local: $(ARCH) $(PREINSTALL_FILES) $(exceptions_rel_OBJECTS) $(PGM)
+
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = asm_utils.S raw_exception.c raw_exception.h
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc6xx/mmu/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/mmu/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/mpc6xx/mmu/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,16 +5,13 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/mmu.rel
+PGM = $(ARCH)/mmu.rel
 
-## C sources
 C_FILES = bat.c
 
-## Assembly sources
 S_FILES = mmuAsm.S
 
 H_FILES = bat.h
-noinst_HEADERS = $(H_FILES)
 
-mmu_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o) $(S_FILES:%.S=${ARCH}/%.o)
+mmu_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o) $(S_FILES:%.S=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -25,6 +22,4 @@
 $(PROJECT_INCLUDE)/libcpu/%.h: %.h
 	$(INSTALL_DATA) $< $@
-
-PREINSTALL_FILES += $(PROJECT_INCLUDE)/libcpu $(PROJECT_INCLUDE)/libcpu/bat.h
 
 #
@@ -37,7 +32,12 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PREINSTALL_FILES) $(PGM)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/libcpu \
+    $(PROJECT_INCLUDE)/libcpu/bat.h
 
-EXTRA_DIST = $(C_FILES) $(S_FILES)
+all-local: $(ARCH) $(PREINSTALL_FILES) $(mmu_rel_OBJECTS) $(PGM)
+
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = bat.c bat.h mmuAsm.S
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc6xx/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc6xx/timer/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/mpc6xx/timer/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,10 +5,9 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/timer.rel
+PGM = $(ARCH)/timer.rel
 
-## C sources
 C_FILES = timer.c
 
-timer_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+timer_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -24,7 +23,9 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PGM)
+all-local: $(ARCH) $(timer_rel_OBJECTS) $(PGM)
 
-EXTRA_DIST = $(C_FILES)
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = timer.c
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc821/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc821/clock/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/mpc821/clock/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,10 +5,9 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/clock.rel
+PGM = $(ARCH)/clock.rel
 
-## C sources
 C_FILES = clock.c
 
-clock_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+clock_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -24,7 +23,9 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PGM)
+all-local: $(ARCH) $(clock_rel_OBJECTS) $(PGM)
 
-EXTRA_DIST = $(C_FILES)
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = clock.c
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc821/console-generic/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc821/console-generic/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/mpc821/console-generic/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,10 +5,9 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/console-generic.rel
+PGM = $(ARCH)/console-generic.rel
 
-## C sources
 C_FILES = console-generic.c
 
-console_generic_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+console_generic_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -24,7 +23,9 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PGM)
+all-local: $(ARCH) $(console_generic_rel_OBJECTS) $(PGM)
 
-EXTRA_DIST = $(C_FILES)
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = console-generic.c
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc821/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc821/timer/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/mpc821/timer/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,10 +5,9 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/timer.rel
+PGM = $(ARCH)/timer.rel
 
-## C sources
 C_FILES = timer.c
 
-timer_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+timer_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -24,7 +23,9 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PGM)
+all-local: $(ARCH) $(timer_rel_OBJECTS) $(PGM)
 
-EXTRA_DIST = $(C_FILES)
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = timer.c
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc860/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc860/clock/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/mpc860/clock/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,10 +5,9 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/clock.rel
+PGM = $(ARCH)/clock.rel
 
-## C sources
 C_FILES = clock.c
 
-clock_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+clock_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -24,7 +23,9 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PGM)
+all-local: $(ARCH) $(clock_rel_OBJECTS) $(PGM)
 
-EXTRA_DIST = $(C_FILES)
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = clock.c
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc860/console-generic/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc860/console-generic/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/mpc860/console-generic/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,10 +5,9 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/console-generic.rel
+PGM = $(ARCH)/console-generic.rel
 
-## C sources
 C_FILES = console-generic.c
 
-console_generic_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+console_generic_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -24,7 +23,9 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PGM)
+all-local: $(ARCH) $(console_generic_rel_OBJECTS) $(PGM)
 
-EXTRA_DIST = $(C_FILES)
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = console-generic.c
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/mpc860/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/mpc860/timer/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/mpc860/timer/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,10 +5,9 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/timer.rel
+PGM = $(ARCH)/timer.rel
 
-## C sources
 C_FILES = timer.c
 
-timer_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+timer_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -24,7 +23,9 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PGM)
+all-local: $(ARCH) $(timer_rel_OBJECTS) $(PGM)
 
-EXTRA_DIST = $(C_FILES)
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = timer.c
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/new_exception_processing/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/new_exception_processing/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/new_exception_processing/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,5 +5,4 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-# C source names, if any, go here -- minus the .c
 C_FILES = cpu.c
 C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
@@ -13,5 +12,4 @@
 noinst_HEADERS =  $(ROOT_H_FILES) $(RTEMS_SCORE_H_FILES)
 
-# Assembly source names, if any, go here -- minus the .S
 S_FILES = cpu_asm.S
 S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
Index: c/src/lib/libcpu/powerpc/ppc403/clock/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/clock/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/ppc403/clock/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,10 +5,9 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/clock.rel
+PGM = $(ARCH)/clock.rel
 
-## C sources
 C_FILES = clock.c
 
-clock_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+clock_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -24,7 +23,9 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PGM)
+all-local: $(ARCH) $(clock_rel_OBJECTS) $(PGM)
 
-EXTRA_DIST = $(C_FILES)
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = clock.c
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/ppc403/console/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/console/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/ppc403/console/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,10 +5,9 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/console.rel
+PGM = $(ARCH)/console.rel
 
-## C sources
 C_FILES = console.c
 
-console_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+console_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -24,7 +23,9 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PGM)
+all-local: $(ARCH) $(console_rel_OBJECTS) $(PGM)
 
-EXTRA_DIST = $(C_FILES) console.c.polled
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = console.c console.c.polled
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/ppc403/ictrl/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/ictrl/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/ppc403/ictrl/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,13 +5,11 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/ictrl.rel
+PGM = $(ARCH)/ictrl.rel
 
-## C sources
 C_FILES = ictrl.c
 
 H_FILES = ictrl.h
-noinst_HEADERS = $(H_FILES)
 
-ictrl_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+ictrl_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -22,6 +20,4 @@
 $(PROJECT_INCLUDE)/%.h: %.h
 	$(INSTALL_DATA) $< $@
-
-TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/ictrl.h
 
 #
@@ -34,7 +30,11 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PGM) $(TMPINSTALL_FILES)
+TMPINSTALL_FILES += $(PROJECT_INCLUDE) $(PROJECT_INCLUDE)/ictrl.h
 
-EXTRA_DIST = $(C_FILES)
+all-local: $(ARCH) $(ictrl_rel_OBJECTS) $(PGM) $(TMPINSTALL_FILES)
+
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = ictrl.c ictrl.h
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/ppc403/timer/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/ppc403/timer/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/ppc403/timer/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,10 +5,9 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-PGM = ${ARCH}/timer.rel
+PGM = $(ARCH)/timer.rel
 
-## C sources
 C_FILES = timer.c
 
-timer_rel_OBJECTS = $(C_FILES:%.c=${ARCH}/%.o)
+timer_rel_OBJECTS = $(C_FILES:%.c=$(ARCH)/%.o)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
@@ -24,7 +23,9 @@
 	$(make-rel)
 
-all-local: ${ARCH} $(PGM)
+all-local: $(ARCH) $(timer_rel_OBJECTS) $(PGM)
 
-EXTRA_DIST = $(C_FILES)
+.PRECIOUS: $(PGM)
+
+EXTRA_DIST = timer.c
 
 include $(top_srcdir)/../../../../../automake/local.am
Index: c/src/lib/libcpu/powerpc/shared/Makefile.am
===================================================================
--- c/src/lib/libcpu/powerpc/shared/Makefile.am	(revision 0dd1d44582dd2b39a791aa60f76358ff9bba8cd8)
+++ c/src/lib/libcpu/powerpc/shared/Makefile.am	(revision 4e36a2f133c68aaf637e166385eff1a05b59f38e)
@@ -5,21 +5,15 @@
 AUTOMAKE_OPTIONS = foreign 1.4
 
-## C source names
 C_FILES = cpuIdent.c
-C_O_FILES = $(C_FILES:%.c=${ARCH}/%.o)
+C_O_FILES = $(C_FILES:%.c=$(ARCH)/%.o)
 
 H_FILES = cpu.h spr.h io.h mmu.h page.h byteorder.h pgtable.h
-noinst_HEADERS = $(H_FILES)
 
-## Assembly source names
-S_FILES =
-S_O_FILES = $(S_FILES:%.S=${ARCH}/%.o)
-
-OBJS = $(C_O_FILES) $(S_O_FILES)
+OBJS = $(C_O_FILES)
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
 include $(top_srcdir)/../../../../../automake/lib.am
 
-LIB = ${ARCH}/libcpuspec.a
+LIB = $(ARCH)/libcpuspec.a
 
 #
@@ -27,10 +21,6 @@
 #
 
-$(LIB): ${OBJS}
+$(LIB): $(OBJS)
 	$(make-library)
-
-PREINSTALL_FILES += \
-$(PROJECT_INCLUDE)/libcpu \
-$(H_FILES:%=$(PROJECT_INCLUDE)/libcpu/%)
 
 $(PROJECT_INCLUDE)/libcpu:
@@ -40,7 +30,12 @@
 	$(INSTALL_DATA) $< $@
 
-all-local: ${ARCH} $(PREINSTALL_FILES) $(LIB)
+PREINSTALL_FILES += $(PROJECT_INCLUDE)/libcpu \
+    $(H_FILES:%=$(PROJECT_INCLUDE)/libcpu/%)
 
-EXTRA_DIST = $(C_FILES) $(S_FILES)
+all-local: $(ARCH) $(PREINSTALL_FILES) $(OBJS) $(LIB)
+
+.PRECIOUS: $(LIB)
+
+EXTRA_DIST = byteorder.h cpu.h cpuIdent.c io.h mmu.h page.h pgtable.h spr.h
 
 include $(top_srcdir)/../../../../../automake/local.am
